"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrefixDocumentType = exports.FlagType = exports.DataStatusType = exports.SourceType = void 0;
const enumsClass_1 = require("../enumsClass");
const SourceTypeEnums = {
    HR_Admin: {
        value: 10,
        th: "HR Admin",
        en: "HR Admin",
    },
    HRD_BP: {
        value: 20,
        th: "HRD BP",
        en: "HRD BP",
    },
    HR_BP: {
        value: 30,
        th: "HR BP",
        en: "HR BP",
    },
    My_Request: {
        value: 40,
        th: "My Request",
        en: "My Request",
    },
};
exports.SourceType = new enumsClass_1.Enums(SourceTypeEnums);
const DataStatusEnums = {
    NEW: {
        value: 0,
        th: "ใหม่",
        en: "New",
    },
    USE: {
        value: 100,
        th: "ใช้งานได้ แก้ไขได้",
        en: "Use",
    },
    LOCK: {
        value: 101,
        th: "ใช้งานได้ แก้ไขได้ แต่ห้ามยกเลิกข้อมูล",
        en: "Lock",
    },
    PERMANENT: {
        value: 111,
        th: "ใช้งานได้ ห้ามแก้ไข ห้ามยกเลิกข้อมูล",
        en: "Permanent",
    },
    PAUSE: {
        value: 211,
        th: "ห้ามใช้งานชั่วคราว",
        en: "Pause",
    },
    DISABLE: {
        value: 411,
        th: "ยกเลิก",
        en: "Disable",
    },
    DELETE: {
        value: 511,
        th: "ข้อมูลถูกลบรอการนำออก",
        en: "Deleted",
    },
};
exports.DataStatusType = new enumsClass_1.Enums(DataStatusEnums);
const FlagTypeEnums = {
    YES: {
        value: 10,
        th: "ใช่",
        en: "Yes",
    },
    NO: {
        value: 20,
        th: "ไม่ใช่",
        en: "No",
    },
};
exports.FlagType = new enumsClass_1.Enums(FlagTypeEnums);
const PrefixDocumentTypeEnums = {
    TRM: {
        value: "TRM",
        th: "TRM",
        en: "TRM",
    },
    CM: {
        value: "CM",
        th: "CM",
        en: "CM",
    },
    RQ: {
        value: "RQ",
        th: "RQ",
        en: "RQ",
    },
};
exports.PrefixDocumentType = new enumsClass_1.Enums(PrefixDocumentTypeEnums);
//# sourceMappingURL=common.js.map