"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StorageCategoryType = exports.StorageType = exports.StorageTypeEnums = exports.DocumentType = exports.FileType = void 0;
const enumsClass_1 = require("../enumsClass");
const FileTypeEnum = {
    JPG: {
        value: 100,
        th: "JPG",
        en: "JPG",
    },
    PNG: {
        value: 200,
        th: "PNG",
        en: "PNG",
    },
    PDF: {
        value: 300,
        th: "PDF",
        en: "PDF",
    },
    WORD: {
        value: 400,
        th: "WORD",
        en: "WORD",
    },
    EXCEL: {
        value: 500,
        th: "EXCEL",
        en: "EXCEL",
    },
    TXT: {
        value: 600,
        th: "TXT",
        en: "TXT",
    },
};
exports.FileType = new enumsClass_1.Enums(FileTypeEnum);
const DocumentTypeEnum = {
    CourseInformation: {
        value: 100,
        th: "ข้อมูลหลักสูตร",
        en: "Course Information",
    },
    TrainingReport: {
        value: 200,
        th: "รายงานการอบรม",
        en: "Training Report",
    },
    Certificate: {
        value: 300,
        th: "ใบรับรอง",
        en: "Certificate",
    },
};
exports.DocumentType = new enumsClass_1.Enums(DocumentTypeEnum);
exports.StorageTypeEnums = {
    IN_DATABASE: {
        value: 100,
        th: "ในฐานข้อมูล",
        en: "In Database",
    },
    IN_LOCAL_STORAGE: {
        value: 200,
        th: "ในเครื่อง",
        en: "In Local Storage",
    },
    IN_REMOTE_STORAGE: {
        value: 300,
        th: "ในเครื่องระยะไกล",
        en: "In Remote Storage",
    },
    IN_CMS_SYSTEM: {
        value: 400,
        th: "ในระบบจัดการเนื้อหา",
        en: "In CMS System",
    },
};
exports.StorageType = new enumsClass_1.Enums(exports.StorageTypeEnums);
const StorageCategoryTypeEnum = {
    TYPE_POOL: {
        value: 100,
        th: "หมวดหมู่",
        en: "Category",
    },
    TYPE_YEAR: {
        value: 200,
        th: "ปี",
        en: "Year",
    },
    TYPE_DOCUMENT: {
        value: 300,
        th: "เอกสาร",
        en: "Document",
    },
};
exports.StorageCategoryType = new enumsClass_1.Enums(StorageCategoryTypeEnum);
//# sourceMappingURL=file.js.map