import { Enums } from "../enumsClass";
export declare const Gender: Enums<{
    readonly Female: {
        readonly value: 2;
        readonly th: "หญิง";
        readonly en: "female";
    };
    readonly Male: {
        readonly value: 1;
        readonly th: "ชาย";
        readonly en: "male";
    };
    readonly Other: {
        readonly value: 0;
        readonly th: "อื่นๆ";
        readonly en: "other";
    };
}>;
export declare const Religion: Enums<{
    readonly Christian: {
        readonly value: 20;
        readonly th: "คริสต์";
        readonly en: "christian";
    };
    readonly Muslim: {
        readonly value: 30;
        readonly th: "อิสลาม";
        readonly en: "muslim";
    };
    readonly Hindu: {
        readonly value: 40;
        readonly th: "ฮินดู";
        readonly en: "hindu";
    };
}>;
