"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common = require("./enumsBaseObjects/common");
const person = require("./enumsBaseObjects/person");
const exam = require("./enumsBaseObjects/exam");
const file = require("./enumsBaseObjects/file");
const application = require("./enumsBaseObjects/application");
const role = require("./enumsBaseObjects/role");
const examRoom = require("./enumsBaseObjects/examRoom");
const certificate = require("./enumsBaseObjects/certificate");
const ESIEnum = {
    ...common,
    ...person,
    ...exam,
    ...file,
    ...application,
    ...role,
    ...examRoom,
    ...certificate,
};
exports.default = ESIEnum;
//# sourceMappingURL=index.js.map