import { Enums } from "../enumsClass";
export declare const UserRequestAccessType: Enums<{
    readonly WebApplication: {
        readonly value: 10;
        readonly th: "Web Application";
        readonly en: "Web Application";
    };
    readonly WindowsApplication: {
        readonly value: 20;
        readonly th: "Windows Application";
        readonly en: "Windows Application";
    };
    readonly MobileApplication: {
        readonly value: 30;
        readonly th: "Mobile Application";
        readonly en: "Mobile Application";
    };
    readonly FunctionCall: {
        readonly value: 40;
        readonly th: "Function Call";
        readonly en: "Function Call";
    };
}>;
export declare const UserTypeEnums: Enums<{
    readonly HRDepart: {
        readonly value: 100;
        readonly th: "HR ฝ่าย";
        readonly en: "HR Department";
    };
    readonly HRLine: {
        readonly value: 200;
        readonly th: "HR สาย";
        readonly en: "HR Line";
    };
    readonly HRCenter: {
        readonly value: 300;
        readonly th: "HR กลาง";
        readonly en: "HR Center";
    };
    readonly AppAdmin: {
        readonly value: 800;
        readonly th: "Application Administrator";
        readonly en: "Application Administrator";
    };
    readonly SysAdmin: {
        readonly value: 900;
        readonly th: "System Administrator";
        readonly en: "System Administrator";
    };
}>;
export declare const PermissionFlag: Enums<{
    readonly USE: {
        readonly value: 10;
        readonly th: "ทำได้";
        readonly en: "can use";
    };
    readonly CANT_USE: {
        readonly value: 20;
        readonly th: "ไม่สามารถทำได้";
        readonly en: "can not use";
    };
}>;
export declare const ApplicationRoleMemberEnableFlag: Enums<{
    ENABLE: {
        value: number;
        th: string;
        en: string;
    };
    DISABLE: {
        value: number;
        th: string;
        en: string;
    };
}>;
export declare const ApplicationRoleType: Enums<{
    readonly HR_ADMIN: {
        readonly value: 1100;
        readonly th: "HR Admin";
        readonly en: "HR Admin";
    };
    readonly HRD_Boss: {
        readonly value: 1150;
        readonly th: "HRD_Boss";
        readonly en: "HRD_Boss";
    };
    readonly HRDBP: {
        readonly value: 1200;
        readonly th: "HRDBP";
        readonly en: "HRDBP";
    };
    readonly HRBP: {
        readonly value: 1300;
        readonly th: "HRBP ผู้แทนหน่วยงาน";
        readonly en: "HRBP";
    };
    readonly ORG_BOSS: {
        readonly value: 1400;
        readonly th: "Organization Boss";
        readonly en: "Organization Boss";
    };
    readonly PRJ_BOSS: {
        readonly value: 1450;
        readonly th: "Project Boss";
        readonly en: "Project Boss";
    };
    readonly Person: {
        readonly value: 1500;
        readonly th: "ผู้ปฏิบัติ";
        readonly en: "Person";
    };
    readonly SYS_ADMIN: {
        readonly value: 9000;
        readonly th: "System Administrator";
        readonly en: "System Administrator";
    };
}>;
