import { Enums } from "../enumsClass";
export declare const SourceType: Enums<{
    readonly HR_Admin: {
        readonly value: 10;
        readonly th: "HR Admin";
        readonly en: "HR Admin";
    };
    readonly HRD_BP: {
        readonly value: 20;
        readonly th: "HRD BP";
        readonly en: "HRD BP";
    };
    readonly HR_BP: {
        readonly value: 30;
        readonly th: "HR BP";
        readonly en: "HR BP";
    };
    readonly My_Request: {
        readonly value: 40;
        readonly th: "My Request";
        readonly en: "My Request";
    };
}>;
export declare const DataStatusType: Enums<{
    readonly NEW: {
        readonly value: 0;
        readonly th: "ใหม่";
        readonly en: "New";
    };
    readonly USE: {
        readonly value: 100;
        readonly th: "ใช้งานได้ แก้ไขได้";
        readonly en: "Use";
    };
    readonly LOCK: {
        readonly value: 101;
        readonly th: "ใช้งานได้ แก้ไขได้ แต่ห้ามยกเลิกข้อมูล";
        readonly en: "Lock";
    };
    readonly PERMANENT: {
        readonly value: 111;
        readonly th: "ใช้งานได้ ห้ามแก้ไข ห้ามยกเลิกข้อมูล";
        readonly en: "Permanent";
    };
    readonly PAUSE: {
        readonly value: 211;
        readonly th: "ห้ามใช้งานชั่วคราว";
        readonly en: "Pause";
    };
    readonly DISABLE: {
        readonly value: 411;
        readonly th: "ยกเลิก";
        readonly en: "Disable";
    };
    readonly DELETE: {
        readonly value: 511;
        readonly th: "ข้อมูลถูกลบรอการนำออก";
        readonly en: "Deleted";
    };
}>;
export declare const FlagType: Enums<{
    readonly YES: {
        readonly value: 10;
        readonly th: "ใช่";
        readonly en: "Yes";
    };
    readonly NO: {
        readonly value: 20;
        readonly th: "ไม่ใช่";
        readonly en: "No";
    };
}>;
export declare const PrefixDocumentType: Enums<{
    readonly TRM: {
        readonly value: "TRM";
        readonly th: "TRM";
        readonly en: "TRM";
    };
    readonly CM: {
        readonly value: "CM";
        readonly th: "CM";
        readonly en: "CM";
    };
    readonly RQ: {
        readonly value: "RQ";
        readonly th: "RQ";
        readonly en: "RQ";
    };
}>;
