import { Enums } from "../enumsClass";
export declare const ExamRoomStatus: Enums<{
    readonly Open: {
        readonly value: 100;
        readonly th: "เปิดให้ทำ ได้";
        readonly en: "Open";
    };
    readonly Pause: {
        readonly value: 200;
        readonly th: "หยุดการทำ ชั่วคราว";
        readonly en: "Pause";
    };
    readonly Close: {
        readonly value: 300;
        readonly th: "ปิดไม่ให้ทำ ตลอดไป";
        readonly en: "Close";
    };
}>;
export declare const OverAllExamStatus: Enums<{
    readonly NoTests: {
        readonly value: 100;
        readonly th: "ไม่มีการทำแบบเลย";
        readonly en: "No Tests";
    };
    readonly SomeTestsDone: {
        readonly value: 200;
        readonly th: "มีการทำแบบบ้างส่วน";
        readonly en: "Some Tests Done";
    };
    readonly AllTestsCompleted: {
        readonly value: 300;
        readonly th: "มีการทำแบบทั้งหมดแล้ว";
        readonly en: "All Tests Completed";
    };
    readonly AllTestSubmitted: {
        readonly value: 400;
        readonly th: "ส่งผลการทดสอบทั้งหมดเรียบร้อยแล้ว";
        readonly en: "All Test Submitted";
    };
}>;
