"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OverAllExamStatus = exports.ExamRoomStatus = void 0;
const enumsClass_1 = require("../enumsClass");
const ExamRoomStatusEnums = {
    Open: {
        value: 100,
        th: "เปิดให้ทำ ได้",
        en: "Open",
    },
    Pause: {
        value: 200,
        th: "หยุดการทำ ชั่วคราว",
        en: "Pause",
    },
    Close: {
        value: 300,
        th: "ปิดไม่ให้ทำ ตลอดไป",
        en: "Close",
    },
};
exports.ExamRoomStatus = new enumsClass_1.Enums(ExamRoomStatusEnums);
const OverAllExamStatusEnums = {
    NoTests: {
        value: 100,
        th: "ไม่มีการทำแบบเลย",
        en: "No Tests",
    },
    SomeTestsDone: {
        value: 200,
        th: "มีการทำแบบบ้างส่วน",
        en: "Some Tests Done",
    },
    AllTestsCompleted: {
        value: 300,
        th: "มีการทำแบบทั้งหมดแล้ว",
        en: "All Tests Completed",
    },
    AllTestSubmitted: {
        value: 400,
        th: "ส่งผลการทดสอบทั้งหมดเรียบร้อยแล้ว",
        en: "All Test Submitted",
    },
};
exports.OverAllExamStatus = new enumsClass_1.Enums(OverAllExamStatusEnums);
//# sourceMappingURL=examRoom.js.map