import { Enums } from "../enumsClass";
export declare const FileType: Enums<{
    readonly JPG: {
        readonly value: 100;
        readonly th: "JPG";
        readonly en: "JPG";
    };
    readonly PNG: {
        readonly value: 200;
        readonly th: "PNG";
        readonly en: "PNG";
    };
    readonly PDF: {
        readonly value: 300;
        readonly th: "PDF";
        readonly en: "PDF";
    };
    readonly WORD: {
        readonly value: 400;
        readonly th: "WORD";
        readonly en: "WORD";
    };
    readonly EXCEL: {
        readonly value: 500;
        readonly th: "EXCEL";
        readonly en: "EXCEL";
    };
    readonly TXT: {
        readonly value: 600;
        readonly th: "TXT";
        readonly en: "TXT";
    };
}>;
export declare const DocumentType: Enums<{
    readonly CourseInformation: {
        readonly value: 100;
        readonly th: "ข้อมูลหลักสูตร";
        readonly en: "Course Information";
    };
    readonly TrainingReport: {
        readonly value: 200;
        readonly th: "รายงานการอบรม";
        readonly en: "Training Report";
    };
    readonly Certificate: {
        readonly value: 300;
        readonly th: "ใบรับรอง";
        readonly en: "Certificate";
    };
}>;
export declare const StorageTypeEnums: {
    readonly IN_DATABASE: {
        readonly value: 100;
        readonly th: "ในฐานข้อมูล";
        readonly en: "In Database";
    };
    readonly IN_LOCAL_STORAGE: {
        readonly value: 200;
        readonly th: "ในเครื่อง";
        readonly en: "In Local Storage";
    };
    readonly IN_REMOTE_STORAGE: {
        readonly value: 300;
        readonly th: "ในเครื่องระยะไกล";
        readonly en: "In Remote Storage";
    };
    readonly IN_CMS_SYSTEM: {
        readonly value: 400;
        readonly th: "ในระบบจัดการเนื้อหา";
        readonly en: "In CMS System";
    };
};
export declare const StorageType: Enums<{
    readonly IN_DATABASE: {
        readonly value: 100;
        readonly th: "ในฐานข้อมูล";
        readonly en: "In Database";
    };
    readonly IN_LOCAL_STORAGE: {
        readonly value: 200;
        readonly th: "ในเครื่อง";
        readonly en: "In Local Storage";
    };
    readonly IN_REMOTE_STORAGE: {
        readonly value: 300;
        readonly th: "ในเครื่องระยะไกล";
        readonly en: "In Remote Storage";
    };
    readonly IN_CMS_SYSTEM: {
        readonly value: 400;
        readonly th: "ในระบบจัดการเนื้อหา";
        readonly en: "In CMS System";
    };
}>;
export declare const StorageCategoryType: Enums<{
    readonly TYPE_POOL: {
        readonly value: 100;
        readonly th: "หมวดหมู่";
        readonly en: "Category";
    };
    readonly TYPE_YEAR: {
        readonly value: 200;
        readonly th: "ปี";
        readonly en: "Year";
    };
    readonly TYPE_DOCUMENT: {
        readonly value: 300;
        readonly th: "เอกสาร";
        readonly en: "Document";
    };
}>;
