"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Religion = exports.Gender = void 0;
const enumsClass_1 = require("../enumsClass");
const GenderEnums = {
    Female: {
        value: 2,
        th: "หญิง",
        en: "female",
    },
    Male: {
        value: 1,
        th: "ชาย",
        en: "male",
    },
    Other: {
        value: 0,
        th: "อื่นๆ",
        en: "other",
    },
};
exports.Gender = new enumsClass_1.Enums(GenderEnums);
const ReligionEnums = {
    Christian: {
        value: 20,
        th: "คริสต์",
        en: "christian",
    },
    Muslim: {
        value: 30,
        th: "อิสลาม",
        en: "muslim",
    },
    Hindu: {
        value: 40,
        th: "ฮินดู",
        en: "hindu",
    },
};
exports.Religion = new enumsClass_1.Enums(ReligionEnums);
//# sourceMappingURL=person.js.map